function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("1. Introduction","1");
var B=A.fN("1.1 Scope of the document","1#1162920");
B=A.fN("1.2 Related documents","2");
B=A.fN("1.3 Document conventions","3");
var C=B.fN("1.3.1 Quick reference table","4");
C=B.fN("1.3.2 Superscript notation for parameters and values","5");
B=A.fN("1.4 AT Command Syntax","6");
C=B.fN("1.4.1 Using Parameters","7");
C=B.fN("1.4.2 Combining AT commands on the same command line","8");
B=A.fN("1.5 Supported character sets","9");
C=B.fN("1.5.1 GSM alphabet tables and UCS2 character values","10");
C=B.fN("1.5.2 UCS2 and GSM data coding and conversion for SMS text mode and Remote SAT","11");
var D=C.fN("1.5.2.1 Implementing output of SIM data to Terminal (direction TA to TE)","11#1171867");
D=C.fN("1.5.2.2 Implementing input of Terminal data to SIM (direction TE to TA)","11#1172245");
B=A.fN("1.6 Communication between Customer Application and TC65","12");
B=A.fN("1.7 Unsolicited Result Code Presentation","13");
B=A.fN("1.8 Errors and Messages","14");
B=A.fN("1.9 Second Serial Interface ASC1","15");
B=A.fN("1.10 Serial Interface Flow Control","16");
C=B.fN("1.10.1 Software Flow Control (XON/OFF Handshake)","17");
C=B.fN("1.10.2 Hardware Flow Control (RTS/CTS Handshake)","18");
B=A.fN("1.11 Common PCN Handset Specification (CPHS)","19");
A=P.fN("2. Configuration Commands","20");
B=A.fN("2.1 AT&amp;F\u00a0\u00a0\u00a0Set all current parameters to manufacturer defaults","21");
B=A.fN("2.2 AT&amp;V\u00a0\u00a0\u00a0Display current configuration","22");
C=B.fN("2.2.1 AT&amp;V responses","23");
B=A.fN("2.3 AT&amp;W\u00a0\u00a0\u00a0Stores current configuration to user defined profile","24");
B=A.fN("2.4 ATQ\u00a0\u00a0\u00a0Set result code presentation mode","25");
B=A.fN("2.5 ATV\u00a0\u00a0\u00a0Set result code format mode","26");
C=B.fN("2.5.1 Verbose and numeric result codes","27");
B=A.fN("2.6 ATX\u00a0\u00a0\u00a0Set CONNECT result code format and call monitoring","28");
B=A.fN("2.7 AT\\V\u00a0\u00a0\u00a0Set CONNECT result code format","29");
B=A.fN("2.8 ATZ\u00a0\u00a0\u00a0Set all current parameters to user defined profile","30");
B=A.fN("2.9 AT+CFUN\u00a0\u00a0\u00a0Set phone functionality","31");
C=B.fN("2.9.1 Wake up the ME from SLEEP mode","32");
B=A.fN("2.10 AT^SMSO\u00a0\u00a0\u00a0Switch off mobile station","33");
B=A.fN("2.11 AT+GCAP\u00a0\u00a0\u00a0Request complete TA capabilities list","34");
B=A.fN("2.12 AT+CMEE\u00a0\u00a0\u00a0Mobile Equipment Error Message Format","35");
C=B.fN("2.12.1 CME/CMS Error Code Overview","36");
B=A.fN("2.13 AT+CSCS\u00a0\u00a0\u00a0Select TE character set","37");
B=A.fN("2.14 AT^SCFG\u00a0\u00a0\u00a0Extended Configuration Settings","38");
B=A.fN("2.15 AT^SM20\u00a0\u00a0\u00a0Set M20 compatibility mode","39");
A=P.fN("3. Status Control Commands","40");
B=A.fN("3.1 AT+CMER\u00a0\u00a0\u00a0Mobile Equipment Event Reporting","41");
B=A.fN("3.2 AT+CIND\u00a0\u00a0\u00a0Indicator control","42");
B=A.fN("3.3 AT^SIND\u00a0\u00a0\u00a0Extended Indicator Control","43");
B=A.fN("3.4 AT+CEER\u00a0\u00a0\u00a0Extended Error Report","44");
C=B.fN("3.4.1 Cause Location ID for the extended error report","45");
C=B.fN("3.4.2 SIEMENS L2 cause","46");
C=B.fN("3.4.3 GSM release cause for L3 Radio Resource (RR)","47");
C=B.fN("3.4.4 SIEMENS release cause for L3 Radio Resource (RR)","48");
C=B.fN("3.4.5 GSM release cause for Mobility Management (MM) or Session Management (SM)","49");
C=B.fN("3.4.6 SIEMENS release cause for L3 Mobility Management (MM)","50");
C=B.fN("3.4.7 GSM release cause for L3 Call Control (CC)","51");
C=B.fN("3.4.8 SIEMENS release cause for L3 Call Control (CC)","52");
C=B.fN("3.4.9 GSM Release cause for Supplementary Service Call","53");
C=B.fN("3.4.10 GSM release cause for Session Management (SM)","54");
C=B.fN("3.4.11 GSM cause for L3 Protocol module or other local cause","55");
C=B.fN("3.4.12 SIEMENS release cause for GPRS API","56");
C=B.fN("3.4.13 SIEMENS release cause for PPP/IP-Stack","57");
B=A.fN("3.5 ATS18\u00a0\u00a0\u00a0Extended call release report","58");
B=A.fN("3.6 AT+CPAS\u00a0\u00a0\u00a0Mobile equipment activity status","59");
B=A.fN("3.7 AT+WS46\u00a0\u00a0\u00a0Select wireless network","60");
A=P.fN("4. Serial Interface Control Commands","61");
B=A.fN("4.1 AT\\Q\u00a0\u00a0\u00a0Flow control","62");
B=A.fN("4.2 AT&amp;C\u00a0\u00a0\u00a0Set Data Carrier Detect (DCD) Line mode","63");
B=A.fN("4.3 AT&amp;D\u00a0\u00a0\u00a0Set Data Terminal Ready (DTR) line mode","64");
B=A.fN("4.4 AT&amp;S\u00a0\u00a0\u00a0Set Data Set Ready (DSR) line mode","65");
B=A.fN("4.5 ATE\u00a0\u00a0\u00a0Enable command echo","66");
B=A.fN("4.6 AT+ICF\u00a0\u00a0\u00a0Serial Interface Character Framing","67");
B=A.fN("4.7 AT+IFC\u00a0\u00a0\u00a0Set Flow Control separately for data directions","68");
B=A.fN("4.8 AT+ILRR\u00a0\u00a0\u00a0Set TE-TA local rate reporting","69");
B=A.fN("4.9 AT+IPR\u00a0\u00a0\u00a0Set Bitrate of local Asynchronous Serial Interface","70");
C=B.fN("4.9.1 Autobauding","71");
B=A.fN("4.10 AT+CMUX\u00a0\u00a0\u00a0Enter multiplex mode","72");
C=B.fN("4.10.1 Restrictions on Multiplex mode","73");
B=A.fN("4.11 AT^STPB\u00a0\u00a0\u00a0Transmit Parity Bit (for 7E1 and 7O1 only)","74");
A=P.fN("5. Security Commands","75");
B=A.fN("5.1 AT+CPIN\u00a0\u00a0\u00a0PIN Authentication","76");
C=B.fN("5.1.1 What to do if PIN or password authentication fails?","77");
B=A.fN("5.2 AT+CPIN2\u00a0\u00a0\u00a0PIN2 Authentication","78");
B=A.fN("5.3 AT^SPIC\u00a0\u00a0\u00a0Display PIN counter","79");
B=A.fN("5.4 AT+CLCK\u00a0\u00a0\u00a0Facility lock","80");
B=A.fN("5.5 AT^SLCK\u00a0\u00a0\u00a0Facility lock","81");
B=A.fN("5.6 AT+CPWD\u00a0\u00a0\u00a0Change Password","82");
B=A.fN("5.7 AT^SPWD\u00a0\u00a0\u00a0Change Password","83");
B=A.fN("5.8 AT^SCSL\u00a0\u00a0\u00a0Customer SIM Lock","84");
A=P.fN("6. Identification Commands","85");
B=A.fN("6.1 ATI\u00a0\u00a0\u00a0Display product identification information","86");
B=A.fN("6.2 AT+CGMI\u00a0\u00a0\u00a0Request manufacturer identification","87");
B=A.fN("6.3 AT+GMI\u00a0\u00a0\u00a0Request manufacturer identification","88");
B=A.fN("6.4 AT+CGMM\u00a0\u00a0\u00a0Request model identification","89");
B=A.fN("6.5 AT+GMM\u00a0\u00a0\u00a0Request model identification","90");
B=A.fN("6.6 AT+CGMR\u00a0\u00a0\u00a0Request revision identification of software status","91");
B=A.fN("6.7 AT+GMR\u00a0\u00a0\u00a0Request revision identification of software status","92");
B=A.fN("6.8 AT+CGSN\u00a0\u00a0\u00a0Request International Mobile Equipment Identity (IMEI)","93");
B=A.fN("6.9 AT+GSN\u00a0\u00a0\u00a0Request International Mobile Equipment Identity (IMEI)","94");
B=A.fN("6.10 AT+CIMI\u00a0\u00a0\u00a0Request International Mobile Subscriber Identity (IMSI)","95");
A=P.fN("7. Call related Commands","96");
B=A.fN("7.1 Call Status Information","97");
B=A.fN("7.2 ATA\u00a0\u00a0\u00a0Answer a call","98");
B=A.fN("7.3 ATD\u00a0\u00a0\u00a0Mobile originated call to specified number","99");
B=A.fN("7.4 ATD&gt;&lt;mem&gt;&lt;n&gt;\u00a0\u00a0\u00a0Mobile originated call using specific memory and index number","100");
B=A.fN("7.5 ATD&gt;&lt;n&gt;\u00a0\u00a0\u00a0Mobile originated call from active memory using index number","101");
B=A.fN("7.6 ATD&gt;&lt;str&gt;\u00a0\u00a0\u00a0Mobile originated call from active memory using cor\u00adresponding field","102");
B=A.fN("7.7 ATDI\u00a0\u00a0\u00a0Mobile originated call to ISDN number","103");
B=A.fN("7.8 ATDL\u00a0\u00a0\u00a0Redial last number used","104");
B=A.fN("7.9 ATH\u00a0\u00a0\u00a0Disconnect existing connection","105");
B=A.fN("7.10 AT+CHUP\u00a0\u00a0\u00a0Hang up call","106");
B=A.fN("7.11 AT^SHUP\u00a0\u00a0\u00a0Hang up call(s) indicating a specific GSM04.08 release cause","107");
B=A.fN("7.12 ATS0\u00a0\u00a0\u00a0Set number of rings before automatically answering a call","108");
B=A.fN("7.13 ATS6\u00a0\u00a0\u00a0Set pause before blind dialing","109");
B=A.fN("7.14 ATS7\u00a0\u00a0\u00a0Set number of seconds to wait for connection completion","110");
B=A.fN("7.15 ATS8\u00a0\u00a0\u00a0Set number of seconds to wait for comma dialing modifier","111");
B=A.fN("7.16 ATS10\u00a0\u00a0\u00a0Set disconnect delay after indicating the absence of data carrier","112");
B=A.fN("7.17 ATO\u00a0\u00a0\u00a0Switch from command mode to data mode / PPP online mode","113");
B=A.fN("7.18 +++\u00a0\u00a0\u00a0Switch from data mode to command mode","114");
B=A.fN("7.19 AT+CBST\u00a0\u00a0\u00a0Select bearer service type","115");
B=A.fN("7.20 AT+CRLP\u00a0\u00a0\u00a0Select radio link protocol parameters for originated non-transparent data calls","116");
B=A.fN("7.21 AT+CLCC\u00a0\u00a0\u00a0List of current calls","117");
B=A.fN("7.22 AT^SLCC\u00a0\u00a0\u00a0Extended list of current calls","118");
B=A.fN("7.23 AT+CR\u00a0\u00a0\u00a0Service reporting control","119");
B=A.fN("7.24 AT+CRC\u00a0\u00a0\u00a0Set Cellular Result Codes for incoming call indication","120");
B=A.fN("7.25 AT+CSNS\u00a0\u00a0\u00a0Single Numbering Scheme","121");
B=A.fN("7.26 AT^SCNI\u00a0\u00a0\u00a0List Call Number Information","122");
B=A.fN("7.27 AT^SLCD\u00a0\u00a0\u00a0Display Last Call Duration","123");
B=A.fN("7.28 AT^STCD\u00a0\u00a0\u00a0Display Total Call Duration","124");
B=A.fN("7.29 ATP\u00a0\u00a0\u00a0Select pulse dialing","125");
B=A.fN("7.30 ATT\u00a0\u00a0\u00a0Select tone dialing","126");
A=P.fN("8. Network Service Commands","127");
B=A.fN("8.1 AT+COPN\u00a0\u00a0\u00a0Read operator names","128");
B=A.fN("8.2 AT+COPS\u00a0\u00a0\u00a0Operator Selection","129");
B=A.fN("8.3 AT^SOPS\u00a0\u00a0\u00a0Extended Operator Selection","130");
B=A.fN("8.4 AT^SNWS\u00a0\u00a0\u00a0Network Selection","131");
B=A.fN("8.5 AT+CREG\u00a0\u00a0\u00a0Network registration","132");
B=A.fN("8.6 AT+CSQ\u00a0\u00a0\u00a0Signal quality","133");
B=A.fN("8.7 AT^SMONC\u00a0\u00a0\u00a0Cell Monitoring","134");
B=A.fN("8.8 AT^SMOND\u00a0\u00a0\u00a0Cell Monitoring","135");
B=A.fN("8.9 AT^SFNUR\u00a0\u00a0\u00a0Select the fixed network user rate","136");
B=A.fN("8.10 AT^MONI\u00a0\u00a0\u00a0Monitor idle mode and dedicated mode","137");
C=B.fN("8.10.1 AT^MONI responses","138");
C=B.fN("8.10.2 Service states","139");
B=A.fN("8.11 AT^MONP\u00a0\u00a0\u00a0Monitor neighbour cells","140");
C=B.fN("8.11.1 AT^MONP responses","141");
B=A.fN("8.12 AT^SMONG\u00a0\u00a0\u00a0GPRS Monitor","142");
C=B.fN("8.12.1 AT^SMONG Cell Info Table","143");
B=A.fN("8.13 AT^SALS\u00a0\u00a0\u00a0Alternate Line Service","144");
B=A.fN("8.14 AT^SHOM\u00a0\u00a0\u00a0Display Homezone","145");
B=A.fN("8.15 AT^SPLM\u00a0\u00a0\u00a0Read the PLMN list","146");
B=A.fN("8.16 AT+CPOL\u00a0\u00a0\u00a0Preferred Operator List","147");
B=A.fN("8.17 AT^SPLR\u00a0\u00a0\u00a0Read entry from the preferred operators list","148");
B=A.fN("8.18 AT^SPLW\u00a0\u00a0\u00a0Write an entry to the preferred operators list","149");
A=P.fN("9. Supplementary Service Commands","150");
B=A.fN("9.1 AT+CACM\u00a0\u00a0\u00a0Accumulated call meter (ACM) reset or query","151");
B=A.fN("9.2 AT^SACM\u00a0\u00a0\u00a0Advice of charge and query of ACM and ACMmax","152");
B=A.fN("9.3 AT+CAMM\u00a0\u00a0\u00a0Accumulated call meter maximum (ACMmax) set or query","153");
B=A.fN("9.4 AT+CAOC\u00a0\u00a0\u00a0Advice of Charge information","154");
B=A.fN("9.5 AT+CCUG\u00a0\u00a0\u00a0Closed User Group","155");
B=A.fN("9.6 AT+CCFC\u00a0\u00a0\u00a0Call forwarding number and conditions control","156");
B=A.fN("9.7 AT+CCWA\u00a0\u00a0\u00a0Call Waiting","157");
B=A.fN("9.8 AT+CHLD\u00a0\u00a0\u00a0Call Hold and Multiparty","158");
B=A.fN("9.9 AT+CLIP\u00a0\u00a0\u00a0Calling Line Identification Presentation","159");
B=A.fN("9.10 AT+CLIR\u00a0\u00a0\u00a0Calling Line Identification Restriction","160");
B=A.fN("9.11 AT+COLP\u00a0\u00a0\u00a0Connected Line Identification Presentation","161");
B=A.fN("9.12 AT+CPUC\u00a0\u00a0\u00a0Price per unit and currency table","162");
B=A.fN("9.13 AT+CSSN\u00a0\u00a0\u00a0Supplementary service notifications","163");
B=A.fN("9.14 AT+CUSD\u00a0\u00a0\u00a0Unstructured supplementary service data","164");
A=P.fN("10. Internet Service Commands","165");
B=A.fN("10.1 AT^SICS\u00a0\u00a0\u00a0Internet Connection Setup Profile","166");
C=B.fN("10.1.1 Example: Default values of a CSD connection profile","167");
C=B.fN("10.1.2 Example: GPRS connection profile","168");
B=A.fN("10.2 AT^SICI\u00a0\u00a0\u00a0Internet Connection Information","169");
C=B.fN("10.2.1 Checking Connection Profile Status","170");
B=A.fN("10.3 AT^SISS\u00a0\u00a0\u00a0Internet Service Setup Profile","171");
B=A.fN("10.4 AT^SISI\u00a0\u00a0\u00a0Internet Service Information","172");
B=A.fN("10.5 AT^SISO\u00a0\u00a0\u00a0Internet Service Open","173");
C=B.fN("10.5.1 Example: Accepting / Rejecting Socket Connection Request from Remote Client","174");
B=A.fN("10.6 AT^SISC\u00a0\u00a0\u00a0Internet Service Close","175");
B=A.fN("10.7 AT^SISR\u00a0\u00a0\u00a0Internet Service Read Data","176");
C=B.fN("10.7.1 Example: Socket Host Reads Small Amounts of UDP Data Pack\u00adets (URC Mode)","177");
B=A.fN("10.8 AT^SISW\u00a0\u00a0\u00a0Internet Service Write Data","178");
C=B.fN("10.8.1 Usage of parameter &lt;eodFlag&gt;","179");
B=A.fN("10.9 AT^SICO\u00a0\u00a0\u00a0Internet Connection Open","180");
B=A.fN("10.10 AT^SICC\u00a0\u00a0\u00a0Internet Connection Close","181");
B=A.fN("10.11 AT^SISX\u00a0\u00a0\u00a0Internet Service Execution","182");
C=B.fN("10.11.1 Example: Ping","183");
B=A.fN("10.12 AT^SISE\u00a0\u00a0\u00a0Internet Service Error Report","184");
B=A.fN("10.13 Internet Service URC \"^SIS\"","185");
C=B.fN("10.13.1 Information Elements Related to the Service Application","186");
C=B.fN("10.13.2 Information Elements Related to FTP Service","187");
C=B.fN("10.13.3 Information Elements Related to HTTP Service","188");
C=B.fN("10.13.4 Information Elements Related to POP3 Service","189");
C=B.fN("10.13.5 Information Elements Related to SMTP Service","190");
B=A.fN("10.14 Examples of how to Configure and Use Internet Service Profiles","191");
C=B.fN("10.14.1 Selecting URC Mode or Polling Mode","192");
C=B.fN("10.14.2 Configuring Socket Listener","193");
C=B.fN("10.14.3 Configuring Socket Client for Calling a Socket Listener on Another Host","194");
C=B.fN("10.14.4 Socket Client Sends Data via TCP Connection (Polling Mode)","195");
C=B.fN("10.14.5 Socket client sends data via TCP connection with URCs","196");
C=B.fN("10.14.6 Socket Scenario with UDP Endpoint","197");
C=B.fN("10.14.7 Configuring and Using FTP Download (URC Mode)","198");
C=B.fN("10.14.8 Configuring and Using FTP Upload (URC Mode)","199");
C=B.fN("10.14.9 Configuring SMPT Service Profile","200");
C=B.fN("10.14.10 Sending Email (URC Mode)","201");
C=B.fN("10.14.11 Sending Email (Polling Mode)","202");
C=B.fN("10.14.12 Configuring POP3 Service Profile","203");
C=B.fN("10.14.13 Retrieving Email (URC Mode)","204");
C=B.fN("10.14.14 Retrieving Email (Polling Mode)","205");
C=B.fN("10.14.15 HTTP POST (Polling Mode)","206");
C=B.fN("10.14.16 HTTP GET (Polling Mode)","207");
A=P.fN("11. GPRS Commands","208");
B=A.fN("11.1 AT+CGACT\u00a0\u00a0\u00a0PDP context activate or deactivate","209");
B=A.fN("11.2 AT+CGANS\u00a0\u00a0\u00a0Manual response to a network request for PDP con\u00adtext activation","210");
B=A.fN("11.3 AT+CGATT\u00a0\u00a0\u00a0GPRS attach or detach","211");
B=A.fN("11.4 AT+CGAUTO\u00a0\u00a0\u00a0Automatic response to a network request for PDP context activation","212");
B=A.fN("11.5 AT+CGDATA\u00a0\u00a0\u00a0Enter data state","213");
C=B.fN("11.5.1 Automatic deactivation of PDP context during dial-up PPP","214");
B=A.fN("11.6 AT+CGDCONT\u00a0\u00a0\u00a0Define PDP Context","215");
B=A.fN("11.7 AT+CGEQMIN\u00a0\u00a0\u00a03G Quality of Service Profile (Minimum accept\u00adable)","216");
B=A.fN("11.8 AT+CGEQREQ\u00a0\u00a0\u00a03G Quality of Service Profile (Requested)","217");
B=A.fN("11.9 AT+CGPADDR\u00a0\u00a0\u00a0Show PDP address","218");
B=A.fN("11.10 AT+CGQMIN\u00a0\u00a0\u00a0Quality of Service Profile (Minimum acceptable)","219");
B=A.fN("11.11 AT+CGQREQ\u00a0\u00a0\u00a0Quality of Service Profile (Requested)","220");
B=A.fN("11.12 AT+CGREG\u00a0\u00a0\u00a0GPRS Network Registration Status","221");
B=A.fN("11.13 AT+CGSMS\u00a0\u00a0\u00a0Select service for MO SMS messages","222");
B=A.fN("11.14 AT^SGACT\u00a0\u00a0\u00a0Query all PDP context activations","223");
B=A.fN("11.15 AT^SGAUTH\u00a0\u00a0\u00a0Set type of authentication for PPP connection","224");
B=A.fN("11.16 AT^SGCONF\u00a0\u00a0\u00a0Configuration of GPRS related Parameters","225");
B=A.fN("11.17 ATA\u00a0\u00a0\u00a0Manual response to a network request for PDP context acti\u00advation","226");
B=A.fN("11.18 ATD*99#\u00a0\u00a0\u00a0Request GPRS service","227");
B=A.fN("11.19 ATD*98#\u00a0\u00a0\u00a0Request GPRS IP service","228");
B=A.fN("11.20 ATH\u00a0\u00a0\u00a0Manual rejection of a network request for PDP context acti\u00advation","229");
B=A.fN("11.21 ATS0\u00a0\u00a0\u00a0Automatic response to a network request for PDP context activation","230");
B=A.fN("11.22 Using GPRS AT commands (Examples)","231");
B=A.fN("11.23 Using the GPRS dial command ATD","232");
A=P.fN("12. FAX Commands","233");
B=A.fN("12.1 FAX parameters","234");
C=B.fN("12.1.1 Fax Result Codes","235");
B=A.fN("12.2 AT+FCLASS\u00a0\u00a0\u00a0Fax: Select, read or test service class","236");
B=A.fN("12.3 AT+FRH\u00a0\u00a0\u00a0Receive Data Using HDLC Framing","237");
B=A.fN("12.4 AT+FRM\u00a0\u00a0\u00a0Receive Data","238");
B=A.fN("12.5 AT+FRS\u00a0\u00a0\u00a0Receive Silence","239");
B=A.fN("12.6 AT+FTH\u00a0\u00a0\u00a0Transmit Data Using HDLC Framing","240");
B=A.fN("12.7 AT+FTM\u00a0\u00a0\u00a0Transmit Data","241");
B=A.fN("12.8 AT+FTS\u00a0\u00a0\u00a0Stop Transmission and Wait","242");
A=P.fN("13. Short Message Service (SMS) Commands","243");
B=A.fN("13.1 SMS parameters","244");
B=A.fN("13.2 AT+CMGC\u00a0\u00a0\u00a0Send an SMS command","245");
B=A.fN("13.3 AT+CMGD\u00a0\u00a0\u00a0Delete short message","246");
B=A.fN("13.4 AT+CMGF\u00a0\u00a0\u00a0Select SMS message format","247");
B=A.fN("13.5 AT+CMGL\u00a0\u00a0\u00a0List SMS messages from preferred store","248");
B=A.fN("13.6 AT+CMGR\u00a0\u00a0\u00a0Read SMS messages","249");
B=A.fN("13.7 AT+CMGS\u00a0\u00a0\u00a0Send Short Message","250");
B=A.fN("13.8 AT+CMGW\u00a0\u00a0\u00a0Write Short Messages to Memory","251");
B=A.fN("13.9 AT+CMSS\u00a0\u00a0\u00a0Send short messages from storage","252");
B=A.fN("13.10 AT+CNMA\u00a0\u00a0\u00a0New Message Acknowledgement to ME/TE, only phase 2+","253");
B=A.fN("13.11 AT+CNMI\u00a0\u00a0\u00a0New short Message Indication","254");
B=A.fN("13.12 AT+CPMS\u00a0\u00a0\u00a0Preferred SMS message storage","255");
B=A.fN("13.13 AT+CSCA\u00a0\u00a0\u00a0SMS Service Center Address","256");
B=A.fN("13.14 AT+CSCB\u00a0\u00a0\u00a0Select Cell Broadcast Message Indication","257");
B=A.fN("13.15 AT+CSDH\u00a0\u00a0\u00a0Show SMS text mode parameters","258");
B=A.fN("13.16 AT+CSMP\u00a0\u00a0\u00a0Set SMS text Mode Parameters","259");
B=A.fN("13.17 AT+CSMS\u00a0\u00a0\u00a0Select Message Service","260");
B=A.fN("13.18 AT^SCML\u00a0\u00a0\u00a0List Concatenated Short Messages from preferred store","261");
B=A.fN("13.19 AT^SCMR\u00a0\u00a0\u00a0Read Concatenated Short Messages","262");
B=A.fN("13.20 AT^SCMS\u00a0\u00a0\u00a0Send Concatenated Short Messages","263");
B=A.fN("13.21 AT^SCMW\u00a0\u00a0\u00a0Write Concatenated Short Messages to Memory","264");
B=A.fN("13.22 AT^SLMS\u00a0\u00a0\u00a0List SMS Memory Storage","265");
B=A.fN("13.23 AT^SMGL\u00a0\u00a0\u00a0List Short Messages from preferred store without set\u00adting status to REC READ","266");
B=A.fN("13.24 AT^SMGO\u00a0\u00a0\u00a0Set or query SMS overflow presentation mode or query SMS overflow","267");
B=A.fN("13.25 AT^SMGR\u00a0\u00a0\u00a0Read short message without setting status to REC READ","268");
B=A.fN("13.26 AT^SSCONF\u00a0\u00a0\u00a0SMS Command Configuration","269");
B=A.fN("13.27 AT^SSDA\u00a0\u00a0\u00a0Set SMS Display Availability","270");
B=A.fN("13.28 AT^SSMSS\u00a0\u00a0\u00a0Set Short Message Storage Sequence","271");
A=P.fN("14. SIM related Commands","272");
B=A.fN("14.1 AT+CRSM\u00a0\u00a0\u00a0Restricted SIM Access","273");
B=A.fN("14.2 AT+CSIM\u00a0\u00a0\u00a0Generic SIM Access","274");
B=A.fN("14.3 AT^SATR\u00a0\u00a0\u00a0Query SIM's Answer to Reset Data","275");
B=A.fN("14.4 AT^SXSM\u00a0\u00a0\u00a0Extended SIM Access","276");
B=A.fN("14.5 AT^SCKS\u00a0\u00a0\u00a0Query SIM and Chip Card Holder Status","277");
B=A.fN("14.6 AT^SSET\u00a0\u00a0\u00a0Indicate SIM data ready","278");
B=A.fN("14.7 AT^SCID\u00a0\u00a0\u00a0Display SIM card identification number","279");
B=A.fN("14.8 AT+CXXCID\u00a0\u00a0\u00a0Display card ID","280");
A=P.fN("15. Remote SIM Access (RSA) Commands","281");
B=A.fN("15.1 AT^SRSA\u00a0\u00a0\u00a0Remote SIM Access Activation","282");
B=A.fN("15.2 AT^SRSM\u00a0\u00a0\u00a0Remote SIM Access Message","283");
C=B.fN("15.2.1 SAP Request Message Parameters","284");
C=B.fN("15.2.2 SAP Response Message Parameters","285");
B=A.fN("15.3 Related AT Commands","286");
C=B.fN("15.3.1 Establishing an RSA Connection in a PC Environment","287");
C=B.fN("15.3.2 Bluetooth scenario (SAP)","288");
C=B.fN("15.3.3 Serial Interface Scenario (XSAP)","289");
A=P.fN("16. SIM Application Toolkit (SAT) Commands","290");
B=A.fN("16.1 AT^SSTA\u00a0\u00a0\u00a0SAT Interface Activation","291");
B=A.fN("16.2 ^SSTN\u00a0\u00a0\u00a0SAT Notification","292");
B=A.fN("16.3 AT^SSTGI\u00a0\u00a0\u00a0SAT Get Information","293");
B=A.fN("16.4 AT^SSTR\u00a0\u00a0\u00a0SAT Response","294");
A=P.fN("17. Phonebook Commands","295");
B=A.fN("17.1 Sort Order for Phonebooks","296");
B=A.fN("17.2 AT+CNUM\u00a0\u00a0\u00a0Read own numbers","297");
B=A.fN("17.3 AT+CPBR\u00a0\u00a0\u00a0Read from Phonebook","298");
B=A.fN("17.4 AT+CPBS\u00a0\u00a0\u00a0Select phonebook memory storage","299");
B=A.fN("17.5 AT+CPBW\u00a0\u00a0\u00a0Write into Phonebook","300");
B=A.fN("17.6 AT^SPBW\u00a0\u00a0\u00a0Write into Phonebook with location report","301");
B=A.fN("17.7 AT^SDLD\u00a0\u00a0\u00a0Delete the 'last number redial' memory","302");
B=A.fN("17.8 AT^SPBC\u00a0\u00a0\u00a0Find first matching entry in sorted phonebook","303");
B=A.fN("17.9 AT^SPBD\u00a0\u00a0\u00a0Purge phonebook memory storage","304");
B=A.fN("17.10 AT^SPBG\u00a0\u00a0\u00a0Display phonebook entries in alphabetical order","305");
B=A.fN("17.11 AT^SPBS\u00a0\u00a0\u00a0Step through the selected phonebook alphabetically","306");
A=P.fN("18. Audio Commands","307");
B=A.fN("18.1 Audio programming model","308");
B=A.fN("18.2 ATL\u00a0\u00a0\u00a0Set monitor speaker loudness","309");
B=A.fN("18.3 ATM\u00a0\u00a0\u00a0Set monitor speaker mode","310");
B=A.fN("18.4 AT+CLVL\u00a0\u00a0\u00a0Loudspeaker volume level","311");
B=A.fN("18.5 AT+CMUT\u00a0\u00a0\u00a0Mute control","312");
B=A.fN("18.6 AT+VTD\u00a0\u00a0\u00a0Tone duration","313");
B=A.fN("18.7 AT+VTS\u00a0\u00a0\u00a0DTMF and tone generation","314");
B=A.fN("18.8 AT^SAIC\u00a0\u00a0\u00a0Audio Interface Configuration","315");
B=A.fN("18.9 AT^SNFA\u00a0\u00a0\u00a0Set or query of microphone attenuation","316");
B=A.fN("18.10 AT^SNFD\u00a0\u00a0\u00a0Set audio parameters to manufacturer default values","317");
B=A.fN("18.11 AT^SNFG\u00a0\u00a0\u00a0Generate Tone","318");
B=A.fN("18.12 AT^SNFI\u00a0\u00a0\u00a0Set microphone path parameters","319");
B=A.fN("18.13 AT^SNFM\u00a0\u00a0\u00a0Set microphone audio path and power supply","320");
B=A.fN("18.14 AT^SNFO\u00a0\u00a0\u00a0Set audio output (= loudspeaker path) parameter","321");
B=A.fN("18.15 AT^SNFPT\u00a0\u00a0\u00a0Set progress tones","322");
B=A.fN("18.16 AT^SNFS\u00a0\u00a0\u00a0Select audio hardware set","323");
B=A.fN("18.17 AT^SNFTTY\u00a0\u00a0\u00a0Signal TTY/CTM audio mode capability","324");
B=A.fN("18.18 AT^SNFV\u00a0\u00a0\u00a0Set loudspeaker volume","325");
B=A.fN("18.19 AT^SNFW\u00a0\u00a0\u00a0Write audio setting in non-volatile store","326");
B=A.fN("18.20 AT^SRTC\u00a0\u00a0\u00a0Ring tone configuration","327");
A=P.fN("19. Hardware Related Commands","328");
B=A.fN("19.1 AT+CCLK\u00a0\u00a0\u00a0Real Time Clock","329");
B=A.fN("19.2 AT+CALA\u00a0\u00a0\u00a0Set alarm time","330");
B=A.fN("19.3 AT^SBC\u00a0\u00a0\u00a0Battery Charge Control","331");
C=B.fN("19.3.1 Responses returned by read command","332");
B=A.fN("19.4 AT^SBV\u00a0\u00a0\u00a0Battery/Supply Voltage","333");
B=A.fN("19.5 AT^SCTM\u00a0\u00a0\u00a0Set critical operating temperature presentation mode or query temperature","334");
C=B.fN("19.5.1 Deferred shutdown","335");
B=A.fN("19.6 AT^SSYNC\u00a0\u00a0\u00a0Configure SYNC Pin","336");
C=B.fN("19.6.1 ME status indicated by status LED patterns","337");
B=A.fN("19.7 AT^SSPI\u00a0\u00a0\u00a0Serial Protocol Interface","338");
C=B.fN("19.7.1 Specifying Delay Time for I\u00b2C","339");
C=B.fN("19.7.2 Selecting SPI Mode","340");
C=B.fN("19.7.3 Transmitting Data over AT Interface","341");
D=C.fN("19.7.3.1 Structure of Messages on the I\u00b2C Bus","341#1175786");
D=C.fN("19.7.3.2 Structure of Messages on the SPI","341#1176449");
C=B.fN("19.7.4 Error Handling on the I\u00b2C Bus","342");
C=B.fN("19.7.5 Example: Using I\u00b2C Bus","343");
C=B.fN("19.7.6 Example: Transfer and Response Messages on SPI","344");
B=A.fN("19.8 AT^SAADC\u00a0\u00a0\u00a0Show ADC Adjustment Values","345");
B=A.fN("19.9 AT^SRADC\u00a0\u00a0\u00a0Configure and Read ADC Measurement","346");
B=A.fN("19.10 AT^SWDAC\u00a0\u00a0\u00a0Configure and Read PWM Signal for DAC","347");
A=P.fN("20. GPIO Commands","348");
B=A.fN("20.1 AT^SPIO\u00a0\u00a0\u00a0General Purpose IO Driver Open/Close","349");
B=A.fN("20.2 AT^SCPIN\u00a0\u00a0\u00a0Pin Configuration","350");
B=A.fN("20.3 AT^SCPOL\u00a0\u00a0\u00a0Polling Configuration","351");
B=A.fN("20.4 AT^SCPORT\u00a0\u00a0\u00a0Port Configuration","352");
B=A.fN("20.5 AT^SDPORT\u00a0\u00a0\u00a0Delete a Port Configuration","353");
B=A.fN("20.6 AT^SGIO\u00a0\u00a0\u00a0Get IO state of a specified pin or port","354");
B=A.fN("20.7 AT^SSIO\u00a0\u00a0\u00a0Set IO state of a specified pin or port","355");
B=A.fN("20.8 AT^SCCNT\u00a0\u00a0\u00a0Configure Pulse Counter","356");
C=B.fN("20.8.1 Using the Pulse Counter in Limit Counter Mode","357");
B=A.fN("20.9 AT^SSCNT\u00a0\u00a0\u00a0Start and Stop Pulse Counter","358");
C=B.fN("20.9.1 Using the Pulse Counter in Start-Stop Counter Mode","359");
A=P.fN("21. Java related Commands","360");
B=A.fN("21.1 AT^SJRA\u00a0\u00a0\u00a0Run Java Application","361");
B=A.fN("21.2 AT^SJNET\u00a0\u00a0\u00a0Set Dialup Network Access Parameters","362");
B=A.fN("21.3 AT^SJOTAP\u00a0\u00a0\u00a0Over The Air Application Provisioning","363");
B=A.fN("21.4 AT^SJSEC\u00a0\u00a0\u00a0Write Binary Java Security Data","364");
A=P.fN("22. Miscellaneous Commands","365");
B=A.fN("22.1 A/\u00a0\u00a0\u00a0Repeat previous command line","366");
B=A.fN("22.2 ATS3\u00a0\u00a0\u00a0Set command line termination character","367");
B=A.fN("22.3 ATS4\u00a0\u00a0\u00a0Set response formatting character","368");
B=A.fN("22.4 ATS5\u00a0\u00a0\u00a0Write command line editing character","369");
B=A.fN("22.5 AT^SFDL\u00a0\u00a0\u00a0Enter Firmware Download Mode","370");
A=P.fN("23. Appendix","371");
B=A.fN("23.1 Restricted access to SIM data after SIM PIN authentication","371#1162920");
B=A.fN("23.2 Star-Hash (*#) Network Commands","372");
B=A.fN("23.3 Available AT Commands and Dependency on SIM PIN","373");
B=A.fN("23.4 Availability of AT Commands Depending on Operating Mode of ME","374");
B=A.fN("23.5 AT Command Settings storable with AT&amp;W","375");
B=A.fN("23.6 Factory Default Settings Restorable with AT&amp;F","376");
B=A.fN("23.7 Summary of Unsolicited Result Codes (URC)","377");
B=A.fN("23.8 AT Commands not usable for USB","378");
B=A.fN("23.9 Alphabetical List of AT Commands","379");
}
